import { Block, Dimension, Entity } from "@minecraft/server";
import { digitalBlockOnEvent } from "./digitalBlockOnEvent";

/**
 * Evento onStepOn del componente digitalBlockComponent
 * Addon: Electrical Creativity BP
 * @param {{entity: Entity, block: Block, dimension: Dimension}} event
 */
export const digitalBlockOnStepOnEvent = ({entity, block, dimension}) => {
    try {
        digitalBlockOnEvent(block);
    } catch { }
}